import * as cdk from '@aws-cdk/core';
/**
 * Schema for Module Fragment of type JFrog::Artifactory::EC2Instance::MODULE.
 *
 * @schema CfnModuleProps
 */
export interface CfnModuleProps {
    /**
     * @schema CfnModuleProps#Parameters
     */
    readonly parameters?: CfnModulePropsParameters;
    /**
     * @schema CfnModuleProps#Resources
     */
    readonly resources?: CfnModulePropsResources;
}
/**
 * Converts an object of type 'CfnModuleProps' to JSON representation.
 */
export declare function toJson_CfnModuleProps(obj: CfnModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParameters
 */
export interface CfnModulePropsParameters {
    /**
     * Secret name created in AWS Secrets Manager, which contains the SSL certificate and certificate key.
     *
     * @schema CfnModulePropsParameters#SmCertName
     */
    readonly smCertName?: CfnModulePropsParametersSmCertName;
    /**
     * Logical Id of the MODULE.
     *
     * @schema CfnModulePropsParameters#LogicalId
     */
    readonly logicalId?: CfnModulePropsParametersLogicalId;
    /**
     * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet2Id
     */
    readonly privateSubnet2Id?: CfnModulePropsParametersPrivateSubnet2Id;
    /**
     * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet1Id
     */
    readonly privateSubnet1Id?: CfnModulePropsParametersPrivateSubnet1Id;
    /**
     * @schema CfnModulePropsParameters#MinScalingNodes
     */
    readonly minScalingNodes?: CfnModulePropsParametersMinScalingNodes;
    /**
     * @schema CfnModulePropsParameters#MaxScalingNodes
     */
    readonly maxScalingNodes?: CfnModulePropsParametersMaxScalingNodes;
    /**
     * @schema CfnModulePropsParameters#DeploymentTag
     */
    readonly deploymentTag?: CfnModulePropsParametersDeploymentTag;
    /**
     * @schema CfnModulePropsParameters#HostRole
     */
    readonly hostRole?: CfnModulePropsParametersHostRole;
    /**
     * JFrog Artifactory product you want to install into an AMI.
     *
     * @schema CfnModulePropsParameters#ArtifactoryProduct
     */
    readonly artifactoryProduct?: CfnModulePropsParametersArtifactoryProduct;
    /**
     * @schema CfnModulePropsParameters#QsS3BucketName
     */
    readonly qsS3BucketName?: CfnModulePropsParametersQsS3BucketName;
    /**
     * @schema CfnModulePropsParameters#QsS3KeyPrefix
     */
    readonly qsS3KeyPrefix?: CfnModulePropsParametersQsS3KeyPrefix;
    /**
     * @schema CfnModulePropsParameters#QsS3Uri
     */
    readonly qsS3Uri?: CfnModulePropsParametersQsS3Uri;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryLicensesSecretName
     */
    readonly artifactoryLicensesSecretName?: CfnModulePropsParametersArtifactoryLicensesSecretName;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryServerName
     */
    readonly artifactoryServerName?: CfnModulePropsParametersArtifactoryServerName;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryS3Bucket
     */
    readonly artifactoryS3Bucket?: CfnModulePropsParametersArtifactoryS3Bucket;
    /**
     * @schema CfnModulePropsParameters#DatabaseUrl
     */
    readonly databaseUrl?: CfnModulePropsParametersDatabaseUrl;
    /**
     * @schema CfnModulePropsParameters#DatabaseDriver
     */
    readonly databaseDriver?: CfnModulePropsParametersDatabaseDriver;
    /**
     * @schema CfnModulePropsParameters#DatabasePluginUrl
     */
    readonly databasePluginUrl?: CfnModulePropsParametersDatabasePluginUrl;
    /**
     * @schema CfnModulePropsParameters#DatabasePlugin
     */
    readonly databasePlugin?: CfnModulePropsParametersDatabasePlugin;
    /**
     * @schema CfnModulePropsParameters#DatabaseType
     */
    readonly databaseType?: CfnModulePropsParametersDatabaseType;
    /**
     * @schema CfnModulePropsParameters#DatabaseUser
     */
    readonly databaseUser?: CfnModulePropsParametersDatabaseUser;
    /**
     * @schema CfnModulePropsParameters#DatabasePassword
     */
    readonly databasePassword?: CfnModulePropsParametersDatabasePassword;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryPrimary
     */
    readonly artifactoryPrimary?: CfnModulePropsParametersArtifactoryPrimary;
    /**
     * @schema CfnModulePropsParameters#MasterKey
     */
    readonly masterKey?: CfnModulePropsParametersMasterKey;
    /**
     * @schema CfnModulePropsParameters#ExtraJavaOptions
     */
    readonly extraJavaOptions?: CfnModulePropsParametersExtraJavaOptions;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryVersion
     */
    readonly artifactoryVersion?: CfnModulePropsParametersArtifactoryVersion;
    /**
     * @schema CfnModulePropsParameters#KeyPairName
     */
    readonly keyPairName?: CfnModulePropsParametersKeyPairName;
    /**
     * @schema CfnModulePropsParameters#TargetGroupARN
     */
    readonly targetGroupArn?: CfnModulePropsParametersTargetGroupArn;
    /**
     * @schema CfnModulePropsParameters#SSLTargetGroupARN
     */
    readonly sslTargetGroupArn?: CfnModulePropsParametersSslTargetGroupArn;
    /**
     * @schema CfnModulePropsParameters#InternalTargetGroupARN
     */
    readonly internalTargetGroupArn?: CfnModulePropsParametersInternalTargetGroupArn;
    /**
     * @schema CfnModulePropsParameters#HostProfile
     */
    readonly hostProfile?: CfnModulePropsParametersHostProfile;
    /**
     * @schema CfnModulePropsParameters#SecurityGroups
     */
    readonly securityGroups?: CfnModulePropsParametersSecurityGroups;
    /**
     * @schema CfnModulePropsParameters#InstanceType
     */
    readonly instanceType?: CfnModulePropsParametersInstanceType;
    /**
     * @schema CfnModulePropsParameters#ArtifactoryEfsFileSystem
     */
    readonly artifactoryEfsFileSystem?: CfnModulePropsParametersArtifactoryEfsFileSystem;
    /**
     * Directory to store Artifactory data.
     *
     * Can be used to store data (via symlink) in detachable volume
     *
     * @schema CfnModulePropsParameters#UserDataDirectory
     */
    readonly userDataDirectory?: CfnModulePropsParametersUserDataDirectory;
}
/**
 * Converts an object of type 'CfnModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnModulePropsParameters(obj: CfnModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResources
 */
export interface CfnModulePropsResources {
    /**
     * @schema CfnModulePropsResources#ArtifactoryScalingGroup
     */
    readonly artifactoryScalingGroup?: CfnModulePropsResourcesArtifactoryScalingGroup;
    /**
     * @schema CfnModulePropsResources#ArtifactoryLaunchConfiguration
     */
    readonly artifactoryLaunchConfiguration?: CfnModulePropsResourcesArtifactoryLaunchConfiguration;
}
/**
 * Converts an object of type 'CfnModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnModulePropsResources(obj: CfnModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Secret name created in AWS Secrets Manager, which contains the SSL certificate and certificate key.
 *
 * @schema CfnModulePropsParametersSmCertName
 */
export interface CfnModulePropsParametersSmCertName {
    /**
     * @schema CfnModulePropsParametersSmCertName#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersSmCertName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSmCertName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSmCertName(obj: CfnModulePropsParametersSmCertName | undefined): Record<string, any> | undefined;
/**
 * Logical Id of the MODULE.
 *
 * @schema CfnModulePropsParametersLogicalId
 */
export interface CfnModulePropsParametersLogicalId {
    /**
     * @schema CfnModulePropsParametersLogicalId#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersLogicalId#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersLogicalId' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersLogicalId(obj: CfnModulePropsParametersLogicalId | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet2Id
 */
export interface CfnModulePropsParametersPrivateSubnet2Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet2Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet2Id(obj: CfnModulePropsParametersPrivateSubnet2Id | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet1Id
 */
export interface CfnModulePropsParametersPrivateSubnet1Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet1Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet1Id(obj: CfnModulePropsParametersPrivateSubnet1Id | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMinScalingNodes
 */
export interface CfnModulePropsParametersMinScalingNodes {
    /**
     * @schema CfnModulePropsParametersMinScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMinScalingNodes' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMinScalingNodes(obj: CfnModulePropsParametersMinScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMaxScalingNodes
 */
export interface CfnModulePropsParametersMaxScalingNodes {
    /**
     * @schema CfnModulePropsParametersMaxScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMaxScalingNodes' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMaxScalingNodes(obj: CfnModulePropsParametersMaxScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDeploymentTag
 */
export interface CfnModulePropsParametersDeploymentTag {
    /**
     * @schema CfnModulePropsParametersDeploymentTag#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDeploymentTag' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDeploymentTag(obj: CfnModulePropsParametersDeploymentTag | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersHostRole
 */
export interface CfnModulePropsParametersHostRole {
    /**
     * @schema CfnModulePropsParametersHostRole#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersHostRole' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersHostRole(obj: CfnModulePropsParametersHostRole | undefined): Record<string, any> | undefined;
/**
 * JFrog Artifactory product you want to install into an AMI.
 *
 * @schema CfnModulePropsParametersArtifactoryProduct
 */
export interface CfnModulePropsParametersArtifactoryProduct {
    /**
     * @schema CfnModulePropsParametersArtifactoryProduct#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersArtifactoryProduct#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryProduct' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryProduct(obj: CfnModulePropsParametersArtifactoryProduct | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3BucketName
 */
export interface CfnModulePropsParametersQsS3BucketName {
    /**
     * @schema CfnModulePropsParametersQsS3BucketName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3BucketName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3BucketName(obj: CfnModulePropsParametersQsS3BucketName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3KeyPrefix
 */
export interface CfnModulePropsParametersQsS3KeyPrefix {
    /**
     * @schema CfnModulePropsParametersQsS3KeyPrefix#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3KeyPrefix' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3KeyPrefix(obj: CfnModulePropsParametersQsS3KeyPrefix | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3Uri
 */
export interface CfnModulePropsParametersQsS3Uri {
    /**
     * @schema CfnModulePropsParametersQsS3Uri#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3Uri' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3Uri(obj: CfnModulePropsParametersQsS3Uri | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryLicensesSecretName
 */
export interface CfnModulePropsParametersArtifactoryLicensesSecretName {
    /**
     * @schema CfnModulePropsParametersArtifactoryLicensesSecretName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryLicensesSecretName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryLicensesSecretName(obj: CfnModulePropsParametersArtifactoryLicensesSecretName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryServerName
 */
export interface CfnModulePropsParametersArtifactoryServerName {
    /**
     * @schema CfnModulePropsParametersArtifactoryServerName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryServerName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryServerName(obj: CfnModulePropsParametersArtifactoryServerName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryS3Bucket
 */
export interface CfnModulePropsParametersArtifactoryS3Bucket {
    /**
     * @schema CfnModulePropsParametersArtifactoryS3Bucket#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryS3Bucket' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryS3Bucket(obj: CfnModulePropsParametersArtifactoryS3Bucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseUrl
 */
export interface CfnModulePropsParametersDatabaseUrl {
    /**
     * @schema CfnModulePropsParametersDatabaseUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseUrl' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseUrl(obj: CfnModulePropsParametersDatabaseUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseDriver
 */
export interface CfnModulePropsParametersDatabaseDriver {
    /**
     * @schema CfnModulePropsParametersDatabaseDriver#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseDriver' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseDriver(obj: CfnModulePropsParametersDatabaseDriver | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePluginUrl
 */
export interface CfnModulePropsParametersDatabasePluginUrl {
    /**
     * @schema CfnModulePropsParametersDatabasePluginUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePluginUrl' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePluginUrl(obj: CfnModulePropsParametersDatabasePluginUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePlugin
 */
export interface CfnModulePropsParametersDatabasePlugin {
    /**
     * @schema CfnModulePropsParametersDatabasePlugin#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePlugin' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePlugin(obj: CfnModulePropsParametersDatabasePlugin | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseType
 */
export interface CfnModulePropsParametersDatabaseType {
    /**
     * @schema CfnModulePropsParametersDatabaseType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseType(obj: CfnModulePropsParametersDatabaseType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseUser
 */
export interface CfnModulePropsParametersDatabaseUser {
    /**
     * @schema CfnModulePropsParametersDatabaseUser#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseUser' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseUser(obj: CfnModulePropsParametersDatabaseUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePassword
 */
export interface CfnModulePropsParametersDatabasePassword {
    /**
     * @schema CfnModulePropsParametersDatabasePassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePassword' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePassword(obj: CfnModulePropsParametersDatabasePassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryPrimary
 */
export interface CfnModulePropsParametersArtifactoryPrimary {
    /**
     * @schema CfnModulePropsParametersArtifactoryPrimary#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryPrimary' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryPrimary(obj: CfnModulePropsParametersArtifactoryPrimary | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMasterKey
 */
export interface CfnModulePropsParametersMasterKey {
    /**
     * @schema CfnModulePropsParametersMasterKey#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMasterKey' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMasterKey(obj: CfnModulePropsParametersMasterKey | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersExtraJavaOptions
 */
export interface CfnModulePropsParametersExtraJavaOptions {
    /**
     * @schema CfnModulePropsParametersExtraJavaOptions#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersExtraJavaOptions' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersExtraJavaOptions(obj: CfnModulePropsParametersExtraJavaOptions | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryVersion
 */
export interface CfnModulePropsParametersArtifactoryVersion {
    /**
     * @schema CfnModulePropsParametersArtifactoryVersion#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryVersion' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryVersion(obj: CfnModulePropsParametersArtifactoryVersion | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersKeyPairName
 */
export interface CfnModulePropsParametersKeyPairName {
    /**
     * @schema CfnModulePropsParametersKeyPairName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersKeyPairName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersKeyPairName(obj: CfnModulePropsParametersKeyPairName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersTargetGroupArn
 */
export interface CfnModulePropsParametersTargetGroupArn {
    /**
     * @schema CfnModulePropsParametersTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersTargetGroupArn(obj: CfnModulePropsParametersTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSslTargetGroupArn
 */
export interface CfnModulePropsParametersSslTargetGroupArn {
    /**
     * @schema CfnModulePropsParametersSslTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSslTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSslTargetGroupArn(obj: CfnModulePropsParametersSslTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersInternalTargetGroupArn
 */
export interface CfnModulePropsParametersInternalTargetGroupArn {
    /**
     * @schema CfnModulePropsParametersInternalTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersInternalTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersInternalTargetGroupArn(obj: CfnModulePropsParametersInternalTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersHostProfile
 */
export interface CfnModulePropsParametersHostProfile {
    /**
     * @schema CfnModulePropsParametersHostProfile#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersHostProfile' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersHostProfile(obj: CfnModulePropsParametersHostProfile | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSecurityGroups
 */
export interface CfnModulePropsParametersSecurityGroups {
    /**
     * @schema CfnModulePropsParametersSecurityGroups#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSecurityGroups' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSecurityGroups(obj: CfnModulePropsParametersSecurityGroups | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersInstanceType
 */
export interface CfnModulePropsParametersInstanceType {
    /**
     * @schema CfnModulePropsParametersInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersInstanceType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersInstanceType(obj: CfnModulePropsParametersInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersArtifactoryEfsFileSystem
 */
export interface CfnModulePropsParametersArtifactoryEfsFileSystem {
    /**
     * @schema CfnModulePropsParametersArtifactoryEfsFileSystem#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryEfsFileSystem' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryEfsFileSystem(obj: CfnModulePropsParametersArtifactoryEfsFileSystem | undefined): Record<string, any> | undefined;
/**
 * Directory to store Artifactory data.
 *
 * Can be used to store data (via symlink) in detachable volume
 *
 * @schema CfnModulePropsParametersUserDataDirectory
 */
export interface CfnModulePropsParametersUserDataDirectory {
    /**
     * @schema CfnModulePropsParametersUserDataDirectory#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersUserDataDirectory#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersUserDataDirectory' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersUserDataDirectory(obj: CfnModulePropsParametersUserDataDirectory | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryScalingGroup
 */
export interface CfnModulePropsResourcesArtifactoryScalingGroup {
    /**
     * @schema CfnModulePropsResourcesArtifactoryScalingGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryScalingGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryScalingGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryScalingGroup(obj: CfnModulePropsResourcesArtifactoryScalingGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesArtifactoryLaunchConfiguration
 */
export interface CfnModulePropsResourcesArtifactoryLaunchConfiguration {
    /**
     * @schema CfnModulePropsResourcesArtifactoryLaunchConfiguration#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesArtifactoryLaunchConfiguration#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesArtifactoryLaunchConfiguration' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesArtifactoryLaunchConfiguration(obj: CfnModulePropsResourcesArtifactoryLaunchConfiguration | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `JFrog::Artifactory::EC2Instance::MODULE`.
 *
 * @external
 * @cloudformationResource JFrog::Artifactory::EC2Instance::MODULE
 * @link http://unknown-url
 */
export declare class CfnModule extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "JFrog::Artifactory::EC2Instance::MODULE";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnModuleProps;
    /**
     * Create a new `JFrog::Artifactory::EC2Instance::MODULE`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnModuleProps);
}
